# enaml.fonts

Functions

`parse_font` | Parse a CSS3 shorthand font string into an Enaml Font object.

Classes

`Font` |
`FontMember` | An Atom member class which coerces a value to a font.

enaml.fonts.parse_font(font)

  Parse a CSS3 shorthand font string into an Enaml Font object.

  Returns:

    result – A font object representing the parsed font. If the string is invalid, None will be returned.

  Return type:

    Font or None

class enaml.fonts.Font

  Bases: `object`

  classmethod __new__(*args, **kwargs)
  __repr__()

    Return repr(self).

  caps

    Get the caps enum for the font.

  family

    Get the family name for the font.

  pointsize

    Get the point size for the font.

  stretch

    Get the stretch enum for the font.

  style

    Get the style enum for the font.

  weight

    Get the weight for the font.